Bug 10615 - Move saved reports action items into dropdown menu
Summary: Move saved reports action items into dropdown menu
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL: /cgi-bin/koha/reports/guided_reports....
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-19 15:28 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed menu on saved reports page (51.69 KB, image/gif)
2013-07-19 15:28 UTC, Owen Leonard
Details
Bug 10615 - Move saved reports action items into dropdown menu (35.49 KB, patch)
2013-07-19 15:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10615 - Move saved reports action items into dropdown menu (35.52 KB, patch)
2013-08-15 19:51 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10615 - Move saved reports action items into dropdown menu (35.57 KB, patch)
2013-08-15 20:07 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10615 - Move saved reports action items into dropdown menu (35.66 KB, patch)
2013-08-15 20:53 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 10615 - Move saved reports action items into dropdown menu (35.72 KB, patch)
2013-08-16 10:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-07-19 15:28:29 UTC Comment hidden (obsolete)
Comment 1 Owen Leonard 2013-07-19 15:37:26 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2013-07-19 21:56:38 UTC
Hi Owen,

I like where your head is at here, but I think the actions might be a bit too hidden for my taste.

A compromise might be a column with the dropdown in it, with table header "actions?"
Comment 3 Liz Rea 2013-07-19 23:04:13 UTC
Probably towards the end of the table where the links used to be, would be my preference I think. I found it a bit disorienting to find them the first time I used it, I can imagine a lot of librarians would find it to be so too.

Liz
Comment 4 Owen Leonard 2013-08-15 19:51:49 UTC Comment hidden (obsolete)
Comment 5 Nicole C. Engard 2013-08-15 20:07:25 UTC Comment hidden (obsolete)
Comment 6 Liz Rea 2013-08-15 20:53:43 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2013-08-16 10:09:44 UTC
Great ergonomic improvement. All actions work as before.
Marked as Passed QA.
Comment 8 Jonathan Druart 2013-08-16 10:10:07 UTC
Created attachment 20392 [details] [review]
Bug 10615 - Move saved reports action items into dropdown menu

This patch moves saved reports "action" links (view, edit, run, etc)
into a dropdown menu triggered by clicking an "Actions" button.

To test you must have saved reports. View the saved reports page and
click the "Actions" button in the last column of the table. This should
trigger a menu. All options in the menu should work correctly.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
works and looks awesome

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Yes, exactly what I had in mind. Great improvement.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Galen Charlton 2013-08-16 14:20:48 UTC
Pushed to master.  Thanks, Owen!